<nav class="navbar navbar-light" style="background-color: #e3f2fd;">
  <div class="container">
    <ul class="nav">
      <li class="nav-item">
        <a class="nav-link" href="/locations/">Locations</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Device Models</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/data_points/">Data Points</a>
      </li>
    </ul>
  </div>
</nav>
<br/>

<div class="container">
  <div class="page-header">
    <h3>Device Models</h3>
  </div>
  <table class="table table-striped">
    <thead>
    <tr>
      <th class="text-center">Name</th>
      <th class="text-center">Description</th>
      <th class="text-center">Actions</th>
    </tr>
    </thead>
    <% @device_models.each do |device_model| %>
      <tr>
        <td><%= device_model.name %></td>
        <td><%= device_model.description %></td>
        <td class="text-center">
          <%= link_to "Show", device_model_path(device_model), class: 'label label-info'%>
          <%= link_to "Edit", edit_device_model_path(device_model), class: 'label label-success'%>
          <%= link_to "Delete", device_model, method: :delete, data: { confirm: "Are you sure?" }, class: 'label label-danger' %>
        </td>
      </tr>
    <% end %>
  </table>
  <div class="container">
    <%= link_to "New Device Model", new_device_model_path %>
  </div>
</div>
<br/>
<div class="container">
  <h4>Available data point definitions</h4>
  <ul>
    <% @data_point_definitions.each do |data_point_def| %>
      <li>
        <%= data_point_def.name%> ( <%= data_point_def.unit%> ) <%= data_point_def.id%>
      </li>
    <% end %>
  </ul>
</div>